declare type RunMigration = ({ cwd, migrationFilePath, dry, yes, quiet, reportFile, }: {
    cwd: string;
    migrationFilePath: string;
    dry: boolean;
    yes: boolean;
    quiet: boolean;
    reportFile: string | undefined;
}) => Promise<void>;
/**
 *
 * @param options.cwd The directory of the project which the migration runs on
 * @param options.migrationFilePath path to the migration file
 * @param options.dry dry run mode
 * @param options.yes do not prompt the user with confirmation
 * Run a migration
 * @param options.quiet runs on quiet mode (does not print the result)
 * @param options.reportFile Create a markdown report and output it to a file
 *
 */
export declare const runMigration: RunMigration;
export {};
